| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
matrix_query.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isIdentity (matType< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isOrthogonal (matType< T, P > const &m, T const &epsilon)

## Detailed Description

GLM_GTX_matrix_query

See also
  GLM Core (dependence)
  GLM_GTX_vector_query (dependence)

Definition in file matrix_query.hpp.